API referenceBidding XBID
POST /api/XBID/GetHistoricalPublicTrades
Returns stored public trades for the requested contract, delivery, or execution-time range. These are market-wide executions, not the user's private orders or fills.
POST
/api/XBID/GetHistoricalPublicTradescurl -X POST "/api/XBID/GetHistoricalPublicTrades" \
-H "Authorization: $ATLAS_ETRM_API_DOCUMENTATION_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"data": {
"deliveryDateFrom": "2026-01-15T09:30:00Z",
"deliveryDateTo": "2026-01-15T09:30:00Z",
"contractIds": [
0
],
"tradeExecutionDateFrom": "2026-01-15T09:30:00Z",
"tradeExecutionDateTo": "2026-01-15T09:30:00Z"
}
}'Authorization
AuthorizationstringheaderrequiredJWT Authorization header using the Bearer scheme. Enter your token including the 'Bearer ' prefix (e.g. 'Bearer eyJ...').
Body
application/json
dataAtlas.SDK.Bidding.Models.XBID.XBIDPublicTradesQueryDto
Response
application/json
OK
successbooleanrecordCountinteger<int32>dataAtlas.SDK.Bidding.Models.XBID.XBIDPublicTradeHistoryDto[] | null
{
"success": true,
"recordCount": 0,
"data": [
{
"contractId": 0,
"tradeId": 0,
"state": 0,
"quantity": 0,
"price": 0,
"value": 0,
"tradeExecutedTime": "2026-01-15T09:30:00Z",
"buyDeliveryAreaId": "string",
"sellDeliveryAreaId": "string"
}
]
}